FROM openjdk:8
RUN mkdir -p /blade/desk

WORKDIR /blade/desk

EXPOSE 8105

ADD ./desk/blade-desk.jar ./app.jar

ENTRYPOINT ["java", "-Djava.security.egd=file:/dev/./urandom", "-jar", "app.jar"]

CMD ["--spring.profiles.active=prop"]
